/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package soundcardresistometer;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import javax.sound.sampled.SourceDataLine;

/**
 *
 * @author kocsis
 */
public class PlayProcess extends Thread {

    private boolean stop = false;
    SourceDataLine sourceDataLine;
    byte[] o = new byte[88 * 2];
    ByteBuffer bo = ByteBuffer.wrap(o);

    public PlayProcess(SourceDataLine sourceDataLine) {
        this.sourceDataLine = sourceDataLine;

        bo.order(ByteOrder.BIG_ENDIAN);
        int i = 0;
        while (bo.remaining() >= 2) {
            bo.putShort((short) (Math.sin(2 * Math.PI * i / 43) * 32767));
            bo.putShort((short) (Math.sin(2 * Math.PI * i / 43) * 32767));
            i++;
        }

        sourceDataLine.start();
    }

    public void stopReq(){
        stop = true;
    }

    public void run() {
        while (!stop) {
            sourceDataLine.write(o, 0, o.length);
        }
        sourceDataLine.close();
    }

}
